[Overview][Constants][Classes][Index] | Reference for unit 'ezcgi' (#fcl)

# TEZcgi.VariableCount

Number of available variables.

## Declaration

Source position: ezcgi.pp line 74

`public property TEZcgi.VariableCount: Integer read GetVarCount;`

## Description

TEZcgi.VariableCount returns the number of available CGI variables. This includes both the standard CGI environment variables and the request variables. The actual names and values can be retrieved with the Names and Variables properties.

## See also

Names |  | Indexed array with available variable names.
Variables |  | Indexed array with variables as name=value pairs.
TEZcgi.Values |  | Variables passed to the CGI script
TEZcgi.GetValue |  | Return the value of a request variable.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .